INKSCAPE(1)

NAMN
Inkscape - ett redigeringsprogram för SVG (Scalable Vector Graphics).

SYNOPSIS
"inkscape [alternativ] [filnamn_1 filnamn_2 ...]"

alternativ:

    -?, --help
        --help-all
        --help-gapplication
        --help-gtk

    -V, --version
        --debug-info
        --system-data-directory
        --user-data-directory

    -p, --pipe
    -n, --pages=SIDA[,SIDA]
        --pdf-poppler
        --convert-dpi-method=METOD
        --no-convert-text-baseline-spacing

    -o, --export-filename=FILNAMN
        --export-overwrite
        --export-type=TYP[,TYP]*
        --export-extension=UTÖKNINGS-ID

    -C, --export-area-page
    -D, --export-area-drawing
    -a, --export-area=x0:y0:x1:y1
        --export-area-snap
    -d, --export-dpi=DPI
    -w, --export-width=BREDD
    -h, --export-height=HÖJD
        --export-margin=MARGINAL

        --export-page=all|n[,a-b]
    -i, --export-id=OBJEKT-ID[;OBJEKT-ID]*
    -j, --export-id-only
    -l, --export-plain-svg
        --export-png-color-mode=FÄRGLÄGE
        --export-png-compression=NIVÅ
        --export-png-antialias=NIVÅ
        --export-png-use-dithering=BOOLEAN
        --export-ps-level=NIVÅ
        --export-pdf-version=VERSION
    -T, --export-text-to-path
        --export-latex
        --export-ignore-filters
    -t, --export-use-hints
    -b, --export-background=FÄRG
    -y, --export-background-opacity=VÄRDE

    -I, --query-id=OBJEKT-ID[,OBJEKT-ID]*
    -S, --query-all
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height

        --vacuum-defs
        --select=OBJEKT-ID[,OBJEKT-ID]*
        --actions=ÅTGÄRD(:ARG)[;ÅTGÄRD(:ARG)]*
        --action-list
        --actions-file=FILNAMN

    -g, --with-gui
    -q, --active-window
        --display=SKÄRM
        --app-id-tag=TAGG
        --batch-process
        --shell

BESKRIVNING
Inkscape är en vektorgrafikredigerare med fri och öppen källkod. Den erbjuder en mängd funktioner och används ofta för både konstnärliga och tekniska illustrationer som t.ex. tecknade serier, clip art, logotyper, typografi, diagram och flödesscheman. Inkscape använder vektorgrafik för att möjliggöra skarpa utskrifter och renderingar med obegränsad upplösning och är inte bundet till ett fast antal bildpunkter som rastergrafik. Inkscape använder det standardiserade filformatet SVG som sitt huvudformat, vilket stöds av många andra applikationer, inklusive webbläsare.

Gränssnittet är utformat för att vara bekvämt och effektivt för erfarna användare, samtidigt som det följer GNOME -standarderna så att användare som är bekanta med andra GNOME-program snabbt kan lära sig gränssnittet.

SVG är ett W3C-standardiserat XML-format för 2D-vektorritningar. Det gör det möjligt att definiera objekt i ritningen med hjälp av punkter, banor och primitiva former. Färger, typsnitt, streckbredd och så vidare anges som "style"-attribut för dessa objekt. Eftersom SVG är en standard och filerna är text/xml, är avsikten att SVG-filer ska kunna användas i ett stort antal program och för många olika ändamål.

Inkscape använder SVG som sitt ursprungliga dokumentformat och har som mål att bli det mest kompatibla ritprogrammet för SVG-filer som finns i öppna källkodsgemenskapen.

ALTERNATIV

-?, --help
    Visar ett hjälpmeddelande.

--help-all
    Visar alla hjälpalternativ.

--help-gapplication
    Visar GApplication-alternativen.

--help-gtk
    Visar GTK+-alternativen.

-V, --version
    Visar Inkscape-versionen och byggdatumet.

--debug-info
    Skriver ut teknisk information, inklusive Inkscape-version, beroendeversioner och operativsystem. Denna information är användbar vid felsökning av problem med Inkscape och bör inkluderas när du lämnar in en felrapport.

--system-data-directory
    Skriver ut systemdatakatalogen där datafiler som levereras med Inkscape lagras. Detta inkluderar filer som Inkscape kräver för att köras (som enhetsdefinitioner, inbyggda nyckelkartor, filer som beskriver UI-layout, ikonteman etc.), kärntillägg, lagerresurser (filter, teckensnitt, markörer, färgpaletter, symboler, mallar) och dokumentation (SVG-exempelfiler, handledning).

    Den plats där Inkscape förväntar sig att systemdatakatalogen ska finnas kan åsidosättas med miljövariabeln INKSCAPE_DATADIR.

--user-data-directory
    Skriver ut användarprofilkatalogen där användarspecifika datafiler och preferenser lagras. Anpassade tillägg och resurser (filter, teckensnitt, markörer, färgpaletter, symboler, mallar) bör installeras i sina respektive underkataloger i den här katalogen. Om du placerar en fil med ett namn som är identiskt med en fil i systemdatakatalogen här kan du dessutom åsidosätta de flesta förinställningar från systemdatakatalogen (t.ex. standardmallar, UI-filer etc.).

    Standardplatsen för profilkatalogen kan åsidosättas med miljövariabeln INKSCAPE_PROFILE_DIR.

-p, --pipe
    Läser in indatafilen från standardinmatningen (stdin).

--pages=SIDA
    Importerar den angivna kommaseparerade listan med sidor från en PDF- eller SVG-fil med flera sidor.

    Detta ersätter --pdf-page från tidigare versioner av Inkscape.

--pdf-poppler
    Som standard importerar Inkscape PDF-filer via ett internt bibliotek (som härrör från Poppler). Text lagras som text. Meshes konverteras till tiles. Använd --pdf-poppler för att importera via ett externt bibliotek (poppler med cairo backend) istället. Text består av grupper som innehåller klonade glyfer där varje glyf är en bana. Bilder lagras internt. Meshes gör att hela dokumentet renderas som en rasterbild.

--convert-dpi-method=METOD
    Välj metod som används för att skala om äldre filer (före 0.92) som återges något mindre på grund av övergången från 90 DPI till 96 DPI när längder som uttrycks i bildpunkter tolkas. Möjliga värden är "none" (ingen förändring, dokumentet återges med 94% of av sin ursprungliga storlek), "scale-viewbox" (dokumentet skalas om globalt, enskilda längder förblir orörda) och "scale-document" (varje längd skalas om individuellt).

--no-convert-text-baseline-spacing
    Fixa inte automatiskt textens baslinjer i äldre (pre-0.92) filer vid öppning. Inkscape 0.92 antar CSS-standarddefinitionen för egenskapen "line-height", som skiljer sig från tidigare versioner. Som standard kommer radhöjdsvärdena i filer som skapats före Inkscape 0.92 att justeras vid laddning för att bevara den avsedda textlayouten. Detta kommandoradsalternativ kommer att hoppa över den justeringen.

-o, --export-filename=FILNAMN
    Ställer in namnet på utdatafilen. Standardinställningen är att återanvända namnet på inmatningsfilen. Om --export-type också används kommer filändelsen att justeras (eller läggas till) på lämpligt sätt. I annat fall kommer filtypen som ska exporteras att härledas från filändelsen i det angivna filnamnet.

    Användningen av det speciella filnamnet "-" gör att Inkscape skriver bilddata till standardutmatningen (stdout).

--export-overwrite
    Skriver över inmatningsfilen.

--export-type=TYP[,TYP]*
    Ange vilken filtyp som ska exporteras. Möjliga värden: svg, png, ps, eps, pdf, emf, wmf och alla filtyper som det finns ett exporttillägg för. Det är möjligt att exportera mer än en filtyp åt gången.

    Observera att PostScript inte stöder transparens, så alla transparenta objekt i den ursprungliga SVG:n kommer automatiskt att rastreras. Använda teckensnitt är underuppsättning och inbäddade. Standardområdet för export är sida; du kan ställa in det till ritning genom att --export-area-drawing.

    Observera att PDF-formatet bevarar transparensen i den ursprungliga SVG-filen.

--export-extension=UTÖKNINGS-ID
    Gör det möjligt att ange en filändelse som ska användas vid export, vilket är särskilt relevant om det finns mer än ett exportalternativ för en viss filtyp. Om detta anges kan filtillägget i --export-filename och --export-type utelämnas. Om det anges får dessutom endast en filtyp anges i --export-type.

-C, --export-area-page
    I SVG, PNG, PDF, PS är det exporterade området sidan. Detta är standardinställningen för SVG, PNG, PDF och PS, så du behöver inte ange detta om du inte använder --export-id för att exportera ett specifikt objekt. För EPS stöds inte detta alternativ för närvarande.

-D, --export-area-drawing
    Vid SVG-, PNG-, PDF-, PS- och EPS-export är det exporterade området ritningen (inte sidan), dvs. begränsningsrutan för alla objekt i dokumentet (eller för det exporterade objektet om --export-id används). Med detta alternativ kommer den exporterade bilden att visa alla synliga objekt i dokumentet utan marginaler eller beskärning. Detta är standardområdet för export av EPS. För PNG kan det användas i kombination med --export-use-hints.

-a x0:y0:x1:y1, --export-area=x0:y0:x1:y1
    Vid PNG-export anger du hur stor del av dokumentet som ska exporteras, angivet i px (1/96 tum). Standardinställningen är att exportera hela dokumentsidan. Punkten (0,0) är det nedre vänstra hörnet.

--export-area-snap
    För PNG-export, snäpp exportområdet utåt till närmaste heltal px-värden. Om du använder standardupplösningen för export på 96 dpi och din grafik är pixel-snappad för att minimera kantutjämning, kan du med denna växel bevara denna justering även om du exporterar ett objekts begränsningsbox (med --export-id eller --export-area-drawing) som i sig inte är pixeljusterad.

-d DPI, --export-dpi=DPI
    Den upplösning som används för PNG-export. Den används också för reservrasterisering av filtrerade objekt vid export till PS, EPS eller PDF (om du inte anger --export-ignore-filters för att undertrycka rasterisering). Standardvärdet är 96 dpi, vilket motsvarar 1 SVG-användarenhet (px, även kallad "användarenhet") som exporteras till 1 bitmappspixel. Detta värde åsidosätter DPI-tipset om det används med --export-use-hints.

-w BREDD, --export-width=BREDD
    Bredden på den genererade bitmappen i bildpunkter. Detta värde åsidosätter inställningen --export-dpi (eller DPI-tipset om det används med --export-use-hints).

-h HÖJD, --export-height=HÖJD
    Höjden på den genererade bitmappen i bildpunkter. Detta värde åsidosätter inställningen --export-dpi (eller DPI-tipset om det används med --export-use-hints).

--export-margin=MARGINAL
    Lägger till en marginal runt det exporterade området. Marginalens storlek anges i enheter av sidstorlek (för SVG) eller millimeter (för PS/PDF). Alternativet har för närvarande ingen effekt för andra exportformat.

-i ID, --export-page=all|n[,a-b]*
    Exporterar endast de markerade sidorna. Om mer än en sida anges kan det resulterande dokumentet innehålla flera sidor om formatet stöder det.

    Värdet kan vara en kommaseparerad lista med sidnummer, eller sidintervall med två siffror som separeras med ett bindestreck. Nyckelordet "all" kan användas för att ange att alla sidor ska exporteras.

-i ID, --export-id=OBJEKT-ID[;OBJEKT-ID]*
    För PNG-, PS-, EPS-, PDF- och vanlig SVG-export, id-attributvärdet för det eller de objekt som du vill exportera från dokumentet; alla andra objekt exporteras inte. Som standard är det exporterade området objektets begränsningsruta; du kan åsidosätta detta med hjälp av --export-area (endast PNG) eller --export-area-page.

    Om du anger många värden med en semikolonseparerad lista över objekt kommer varje värde att exporteras separat. I detta fall kommer de exporterade filerna att namnges på följande sätt: [input_filename]_[ID].[export_type]

-j, --export-id-only
    För PNG-, PS-, EPS-, PDF- och vanlig SVG-export exporteras endast det objekt vars id anges i --export-id. Alla andra objekt är dolda och visas inte i exporten även om de överlagrar det exporterade objektet. Utan --export-id ignoreras detta alternativ.

-l, --export-plain-svg
    Exportera dokument till vanligt SVG-format, utan namnrymderna sodipodi: eller inkscape: och utan RDF-metadata. Använd alternativet --export-filename för att ange filnamnet.

--export-png-color-mode=FÄRGLÄGE
    Ange färgläge (bitdjup och färgtyp) för exporterade bitmappar (Gray_1/Gray_2/Gray_4/Gray_8/Gray_16/RGB_8/RGB_16/GrayAlpha_8/GrayAlpha_16/RGBA_8/RGBA_16)

--export-png-compression=NIVÅ
    Ställ in komprimeringsnivån för PNG-export (0 till 9); standard är 6.

--export-png-antialias=NIVÅ
    Ställ in nivån för kantutjämning för PNG-export (0 till 3); standard är 2.

--export-png-use-dithering=false|true
    Aktiverar eller inaktiverar dithering (Inkscape-versionen måste stödja dithering för detta).

--export-ps-level=NIVÅ
    Ange språkversion för PS- och EPS-export. PostScript nivå 2 eller 3 stöds. Standardvärdet är 3.

--export-pdf-version=VERSION
    Välj PDF-version för den exporterade PDF-filen. Detta alternativ exponerar i princip PDF-versionväljaren som finns i PDF-exportdialogen i det grafiska gränssnittet. Du måste ange en av versionerna från den kombinationsrutan, t.ex. "1.4". Standardversionen för pdf-export är "1.4".

-T, --export-text-to-path
    Konvertera textobjekt till banor vid export, där så är tillämpligt (för PS-, EPS-, PDF- och SVG-export).

--export-latex
    (för PS-, EPS- och PDF-export) Används för att skapa bilder för LaTeX-dokument, där bildens text sätts av LaTeX. Vid export till PDF/PS/EPS-format delar detta alternativ upp utdata i en PDF/PS/EPS-fil (t.ex. enligt specifikationen --export-type) och en LaTeX-fil. Texten skrivs inte ut i PDF/PS/EPS-filen, utan visas i stället i LaTeX-filen. Denna LaTeX-fil innehåller PDF/PS/EPS. Om du matar in (\input{image.tex}) LaTeX-filen i ditt LaTeX-dokument visas bilden och all text sätts av LaTeX. Se den resulterande LaTeX-filen för mer information. Se även GNUPlots `epslatex' terminalutdata.

--export-ignore-filters
    Exportera filtrerade objekt (t.ex. de med oskärpa) som vektorer, utan att ta hänsyn till filtren (för PS-, EPS- och PDF-export). Som standard rastreras alla filtrerade objekt på --export-dpi (standard 96 dpi), så att utseendet bevaras.

-t, --export-use-hints
    När du exporterar till PNG kan du använda tips om exportfilnamn och DPI som finns lagrade i det exporterade objektet (endast med --export-id). Dessa tips ställs in automatiskt när du exporterar val från Inkscape. Så om du till exempel exporterar en form med id="path231" som /home/jag/shape.png vid 300 dpi från dokument.svg med Inkscape GUI och sparar dokumentet, kommer du senare att kunna exportera formen till samma fil med samma upplösning helt enkelt med

        inkscape -i path231 -t dokument.svg

    Om du använder --export-dpi, --export-width eller --export-height med det här alternativet ignoreras DPI-hintet och värdet från kommandoraden används. Om du använder --export-filename med det här alternativet ignoreras filnamnstipset och filnamnet från kommandoraden används.

-b FÄRG, --export-background=FÄRG
    Bakgrundsfärg för den exporterade PNG-filen. Detta kan vara en färgsträng som stöds av SVG, t.ex. "#ff007f" eller "rgb(255, 0, 128)". Om den inte anges kommer den sidfärg som ställts in i Inkscape i dialogen Dokumentegenskaper att användas (lagrad i attributet pagecolor= i sodipodi:namedview).

-y VÄRDE, --export-background-opacity=VÄRDE
    Opacitet för bakgrunden i den exporterade PNG-filen. Detta kan vara ett värde antingen mellan 0,0 och 1,0 (0,0 betyder full transparens, 1,0 full opacitet) eller större än 1 upp till 255 (255 betyder full opacitet). Om värdet inte anges och alternativet -b inte används, används den sidopacitet som ställts in i Inkscape i dialogen Dokumentegenskaper (lagrad i attributet inkscape:pageopacity= i sodipodi:namedview). Om den inte är inställd men alternativet -b används, kommer värdet 255 (full opacitet) att användas.

-I, --query-id=OBJEKT-ID[,OBJEKT-ID]*
    Ange ID för det eller de objekt vars dimensioner efterfrågas i en kommaseparerad lista. Om den inte anges kommer frågealternativen att returnera dimensionerna för ritningen (dvs. alla dokumentobjekt), inte för sidan eller vyrutan.

    Om du anger många värden med en kommaseparerad lista över objekt, kommer en geometrisk fråga (t.ex. --query-x) att returnera en kommaseparerad lista över värden som motsvarar listan över objekt i --query-id.

-S, --query-all
    Skriver ut en kommaseparerad lista över alla objekt i SVG-dokumentet med ID:n definierade, tillsammans med deras värden för x, y, bredd och höjd.

-X, --query-x
    Fråga efter X-koordinaten för ritningen eller, om så anges, för objektet med --query-id. Det returnerade värdet är i px (SVG-användarenheter).

-Y, --query-y
    Fråga efter Y-koordinaten för ritningen eller, om så anges, för objektet med --query-id. Det returnerade värdet är i px (SVG-användarenheter).

-W, --query-width
    Fråga efter bredden på ritningen eller, om det anges, på objektet med --query-id. Det returnerade värdet är i px (SVG-användarenheter).

-H, --query-height
    Fråga efter höjden på ritningen eller, om det anges, på objektet med --query-id. Det returnerade värdet är i px (SVG-användarenheter).

--vacuum-defs
    Ta bort alla oanvända objekt från avsnittet C&lt;<defs>&gt; i SVG-filen. Om detta alternativ används tillsammans med --export-plain-svg påverkas endast den exporterade filen. Om det används ensamt kommer den angivna filen att modifieras i stället.

--select=OBJEKT-ID[,OBJEKT-ID]*
    Kommandot --select gör att objekt som har det angivna ID:t väljs. Du kan välja många objekt i en kommaseparerad lista. Detta gör att olika verb kan agera på dem. Om du vill ta bort alla val använder du "--verb=EditDeselect". Vilka objekt-ID som är tillgängliga beror på vilket dokument som ska läsas in.

--actions=ÅTGÄRD(:ARG)[;ÅTGÄRD(:ARG)]*
    Åtgärder är en ny metod för att anropa funktioner med en valfri enskild parameter. För att få en lista över tillgängliga åtgärds-ID:n använder du kommandoradsalternativet --action-list. Så småningom kommer alla verb att ersättas av åtgärder. Tillfälligt kan vilket verb som helst användas som en åtgärd (utan en parameter). Observera att de flesta verb kräver ett grafiskt gränssnitt (även om de inte använder det). Om du vill stänga det grafiska gränssnittet automatiskt i slutet av bearbetningen använder du --batch-process. Dessutom har alla exportalternativ matchande åtgärder (ta bort "--" framför alternativet och ersätt "=" med ":").

    Om endast åtgärder används måste --batch-process användas.

    Export kan tvingas fram när som helst med åtgärden export-do. Detta gör att man kan göra flera exporter på en enda fil.

--action-list
    Skriver ut en lista över alla tillgängliga åtgärder.

--actions-file=FILNAMN
    Utför alla åtgärder som anges i filen. Filens innehåll måste formateras enligt syntaxen i --actions. Detta alternativ åsidosätter argumentet --actions om båda anges.

-g, --with-gui
    Försök att använda det grafiska gränssnittet (på Unix används X-servern även om $DISPLAY inte är inställt).

-q, --active-window
    Istället för att starta en ny Inkscape-process kommer kommandot att köras i det senast fokuserade Inkscape-dokumentet.

--display=SKÄRM
    Ställer in vilken X-display som ska användas för Inkscape-fönstret.

--app-id-tag=TAGG
    Skapar en unik instans av Inkscape med program-ID:t 'org.inkscape.Inkscape.TAGG'. Detta är användbart för att separera Inkscape-instanser när du kör olika Inkscape-versioner eller använder olika inställningsfiler samtidigt.

--batch-process
    Stäng grafiskt gränssnitt efter att ha utfört alla åtgärder eller verb.

--shell
    Med denna parameter kommer Inkscape att gå in i ett interaktivt kommandoradsskalläge. I det här läget skriver du in kommandon i prompten och Inkscape utför dem utan att du behöver köra en ny kopia av Inkscape för varje kommando. Den här funktionen är mest användbar för skript och serveranvändning: den tillför inga nya funktioner men gör att du kan förbättra hastigheten och minneskraven för alla skript som upprepade gånger anropar Inkscape för att utföra kommandoradsuppgifter (t.ex. export eller konvertering).

    I skal-läge förväntar sig Inkscape en sekvens av åtgärder (eller verb) som indata. De kommer att behandlas rad för rad, det vill säga typiskt när du trycker på enter. Det är möjligt (men inte nödvändigt) att lägga alla åtgärder på en enda rad.

    Detta alternativ kan kombineras med parametern --active-window för att utföra skalkommandon i ett redan öppnat Inkscape-dokument.

    Följande exempel öppnar en fil och exporterar den till två olika format, öppnar sedan en annan fil och exporterar ett enda objekt:

        file-open:fil1.svg; export-type:pdf; export-do; export-type:png; export-do
        file-open:fil2.svg; export-id:rect2; export-id-only; export-filename:rect_only.svg; export-do

KONFIGURATION
Huvudkonfigurationsfilen finns i ~/.config/inkscape/preferences.xml; den lagrar en mängd olika anpassningsinställningar som du kan ändra i Inkscape (mestadels i dialogrutan Inställningar i Inkscape). Även i underkatalogerna där kan du placera dina egna:

$HOME/.config/inkscape/extensions/ - utökningar.

$HOME/.config/inkscape/fonts/ - typsnitt.

$HOME/.config/inkscape/icons/ - ikonuppsättningar.

$HOME/.config/inkscape/keys/ - tangentbordsmappningar.

$HOME/.config/inkscape/paint/ - mönster och hatches.

$HOME/.config/inkscape/palettes/ - paletter.

$HOME/.config/inkscape/symbols/ - symbolfiler.

$HOME/.config/inkscape/templates/ - nya filmallar.

$HOME/.config/inkscape/ui/ - användargränssnittsfiler.

DIAGNOSTIK
Programmet returnerar noll vid framgång eller icke-noll vid misslyckande.

En mängd olika felmeddelanden och varningar kan skrivas ut till STDERR eller STDOUT. Om programmet beter sig konstigt med en viss SVG-fil eller kraschar, är det bra att titta på dessa utdata för att hitta ledtrådar.

EXEMPEL
Även om Inkscape naturligtvis främst är avsett som ett grafiskt program kan det också användas för SVG-bearbetning på kommandoraden.

Öppna en SVG-fil i det grafiska gränssnittet:

    inkscape filnamn.svg

Exportera en SVG-fil till PNG med standardupplösningen 96 dpi (en SVG-användarenhet motsvarar en bitmap-pixel):

    inkscape --export-filename=filename.png filnamn.svg

Samma sak, men tvinga PNG-filen att vara 600x400 bildpunkter:

    inkscape --export-filename=filnamn.png -w 600 -h 400 filnamn.svg

Samma sak, men exportera ritningen (avgränsningsrutan för alla objekt), inte sidan:

    inkscape --export-filename=filnamn.png --export-area-drawing filnamn.svg

Exportera två olika filer till fyra olika filformat vardera:

    inkscape --export-type=png,ps,eps,pdf filnamn1.svg filnamn2.svg

Exportera objektet med id="text1555" till PNG med hjälp av det filnamn och den upplösning som användes för objektet förra gången det exporterades från det grafiskt gränssnittet:

    inkscape --export-id=text1555 --export-use-hints filnamn.svg

Samma sak, men använd standardupplösningen 96 dpi, ange filnamnet och snäpp det exporterade området utåt till närmaste hela SVG-användarenhetsvärden (för att bevara bildpunktsjustering av objekt och därmed minimera aliasing):

    inkscape --export-id=text1555 --export-filename=text.png --export-area-snap filnamn.svg

Konvertera ett SVG-dokument från Inkscape till vanlig SVG:

    inkscape --export-plain-svg --export-filename=filnamn2.svg filnamn1.svg

Konvertera ett SVG-dokument till EPS och omvandla alla texter till banor:

    inkscape --export-filename=filnamn.eps --export-text-to-path filnamn.svg

Fråga efter bredden på objektet med id="text1555":

    inkscape --query-width --query-id=text1555 filnamn.svg

Duplicera objekten med id="path1555" och id="rect835", rotera duplikaten 90 grader, spara SVG och avsluta:

    inkscape --select=path1555,rect835 --actions="duplicate;object-rotate-90-cw" --export-overwrite filnamn.svg

Markera alla objekt med ellipstagg, rotera dem 30 grader, spara filen och avsluta.

    inkscape --actions="select-by-element:ellipse;transform-rotate:30" --export-overwrite filnamn.svg

Exportera objektet med ID MinTriangel med en halvgenomskinlig lila bakgrund till filen triangel_lila.png och med en röd bakgrund till filen triangel_röd.png.

    inkscape --actions="export-id:MinTriangel; export-id-only; export-background:purple; export-background-opacity:0.5;export-filename:triangel_lila.png; export-do; export-background:red; export-background-opacity:1; export-filename:triangel_röd.png; export-do" filnamn.svg

Läs in en SVG från standardinmatningen (stdin) och exportera den till PDF-format:

    cat filnamn.svg | inkscape --pipe --export-filename=filnamn.pdf

Exportera en SVG till PNG-format och skriv den till standardutdata (stdout), konvertera den sedan till JPG-format med ImageMagicks konverteringsprogram:

    inkscape --export-type=png --export-filename=- filnamn.svg | convert - filnamn.jpg

Samma som ovan, men även läsning från en pipe (--export-filename kan utelämnas i detta fall)

    cat filnamn.svg | inkscape --pipe --export-type=png | convert - filnamn.jpg

MILJÖVARIABLER

INKSCAPE_PROFILE_DIR
    Ange en anpassad plats för användarprofilens katalog.

INKSCAPE_DATADIR
    Ange en anpassad plats för Inkscapes datakatalog (t.ex. $PREFIX/share om Inkscapes delade filer finns i $PREFIX/share/inkscape).

INKSCAPE_LOCALEDIR
    Ange en anpassad plats för översättningskatalogen.

För mer information se även <http://wiki.inkscape.org/wiki/index.php/Environment_variables>

ÖVRIG INFORMATION
Den kanoniska platsen för att hitta information om Inkscape är på <https://www.inkscape.org/>. Webbplatsen innehåller nyheter, dokumentation, handledning, exempel, arkiv för sändlistor, den senaste versionen av programmet, databaser för buggar och funktionsförfrågningar, forum och mycket mer.

SE ÄVEN
potrace, cairo, rsvg, batik, ghostscript, pstoedit.

Testsvit för SVG-överensstämmelse: <https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview>

SVG-validator: <https://validator.w3.org/>

Scalable Vector Graphics (SVG) 1.1 Specification W3C Recommendation 16 August 2011 <https://www.w3.org/TR/SVG11/>

Scalable Vector Graphics (SVG) 1.2 Specification W3C Working Draft 13 April 2005 <https://www.w3.org/TR/SVG12/>

Scalable Vector Graphics (SVG) 2 Specification W3C Candidate Recommendation 15 September 2016 <https://www.w3.org/TR/SVG2/>

Document Object Model (DOM): Level 2 Core W3C Recommendation 13 November 2000 <https://www.w3.org/TR/DOM-Level-2-Core/>

ANTECKNINGAR FÖR GRAFISKT GRÄNSSNITT
Om du vill lära dig hur Inkscape fungerar i det grafiska gränssnittet kan du läsa manualen i Hjälp > Inkscape-manual och självstudierna i Hjälp > Handledningar.

Förutom SVG kan Inkscape importera (Arkiv > Importera) de flesta bitmappsformat (PNG, BMP, JPG, XPM, GIF, etc.), vanlig text (kräver Perl), PS och EPS (kräver Ghostscript), PDF och AI-format (AI version 9.0 eller nyare).

Inkscape exporterar 32-bitars PNG-bilder (Arkiv > Exportera PNG-bild) samt AI, PS, EPS, PDF, DXF och flera andra format via Arkiv > Spara som.

Inkscape kan använda trycket och lutningen på en grafisk pennplatta för bredd, vinkel och kraft för flera verktyg, inklusive den kalligrafiska pennan.

Inkscape innehåller ett grafiskt gränssnitts-frontend till Potrace bitmappsspårningsmotor (<http://potrace.sf.net>) som är inbäddad i Inkscape.

Inkscape kan använda externa skript (stdin-till-stdout-filter) som representeras av kommandon i menyn Extensions. Ett skript kan ha en GUI-dialog för att ställa in olika parametrar och kan få ID:n för de valda objekten som det ska agera på via kommandoraden. Inkscape levereras med ett sortiment av effekter skrivna i Python.

TANGENTBINDNINGAR
En fullständig lista över kortkommandon för tangentbord och mus finns i doc/keys.html eller i kommandot Tangenter och mus i Hjälp-menyn.

BUGGAR
Många buggar är kända; se webbplatsen (<https://www.inkscape.org/>) för att granska de rapporterade och för att rapportera nyfunna problem. Se även avsnittet Kända problem i Release Notes för din version (filen `NEWS').

HISTORIK
Den kodbas som skulle bli Inkscape började 1999 som programmet Gill, GNOME Illustrator-applikationen, skapad av Raph Levien. Det uttalade målet för Gill var att så småningom stödja hela SVG. Raph implementerade PostScript bezier-bildmodellen, inklusive streckning och fyllning, linjekapsstil, linjesammanfogningsstil, text etc. Raphs Gill-sida finns på <http://www.levien.com/svg/>. Arbetet med Gill verkar ha avtagit eller upphört under 2000.

Nästa inkarnation av kodbasen skulle bli det mycket populära programmet Sodipodi, som leddes av Lauris Kaplinski. Kodbasen förvandlades till ett kraftfullt illustrationsprogram under flera års arbete, med flera nya funktioner, stöd för flera språk, portning till Windows och andra operativsystem samt eliminering av beroenden.

Inkscape bildades 2003 av fyra aktiva Sodipodi-utvecklare, Bryce Harrington, MenTaLguY, Nathan Hurst och Ted Gould, som ville ta en annan riktning med kodbasen när det gäller fokus på SVG-överensstämmelse, gränssnittets utseende och känsla samt en önskan att öppna utvecklingsmöjligheter för fler deltagare. Projektet utvecklades snabbt och fick ett antal mycket aktiva bidragsgivare och funktioner.

Mycket av arbetet i början av projektet fokuserade på stabilisering av koden och internationalisering. Den ursprungliga renderaren som ärvdes från Sodipodi innehöll ett antal matematiska hörnfall som ledde till oväntade krascher när programmet användes för mer än rutinmässiga ändamål; denna renderare ersattes med Livarot som, även om den inte heller var perfekt, var betydligt mindre felbenägen. Projektet använde sig också av en praxis att ofta uppdatera koden och uppmuntra användare att köra utvecklingsmässiga ögonblicksbilder av programmet; detta hjälpte till att snabbt identifiera nya buggar och säkerställa att det var lätt för användarna att verifiera korrigeringarna. Som ett resultat har Inkscape-utgåvorna i allmänhet fått ett rykte om sig att vara robusta och pålitliga.

På samma sätt gjordes ansträngningar för att internationalisera och lokalisera gränssnittet, vilket har hjälpt programmet att få bidragsgivare över hela världen.

Inkscape har haft en positiv inverkan på den visuella attraktionskraften hos öppen källkod i allmänhet genom att tillhandahålla ett verktyg för att skapa och dela ikoner, startskärmar, webbplatsbilder och så vidare. På sätt och vis har Inkscape, trots att det "bara är ett ritprogram", spelat en viktig roll för att göra öppen källkod mer visuellt stimulerande för en större publik.

UPPHOVSPERSONER
Den här kodbasen har ett stort antal bidragsgivare att tacka för sin existens genom alla dess olika inkarnationer. Följande lista är förvisso ofullständig, men tjänar till att erkänna de många axlar som denna applikation sitter på:

Maximilian Albert, Joshua A. Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Campbell Barton, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Hanno Böck, Tomasz Boczkowski, Adrian Boguszewski, Henrik Bohre, Boldewyn, Daniel Boles, Daniel Borgmann, Bastien Bouclet, Hans Breuer, Gustav Broberg, Christopher Brown, Marcus Brubaker, Luca Bruno, Brynn, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Jabiertxo Arraiza Cenoz, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Jon Cruz, Aurélie De-Cooman, Kris De Gussem, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Nicolas Dufour, Tim Dwyer, Maxim V. Dziumanenko, Moritz Eberl, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Sebastian Faubel, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Adnauer Heckert, René de Hesselle, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Christoffer Holmstedt, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, Ted Janeczko, Marc Jeanmougin, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Nikita Kitaev, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Michael Kowalski, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Fernando Lucchesi Bastos Jurema, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Craig Marshall, Ivan Masár, Dmitry G. Mastrukov, David Mathog, Matiphas, Patrick McDermott, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Chris Morgan, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Jonathan Neuhauser, Christian Neumair, Nick, Andreas Nilsson, Mitsuru Oka, Vinícius dos Santos Oliveira, Martin Owens, PBS, Alvin Penner, Matthew Petroff, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Jean Franco Amoni Rodríguez, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Markus Schwienbacher, Danilo Šegan, Abhishek Sharma, Tim Sheridan, Shivaken, Rafał Siejakowski, Michael Sloan, John Smith, Sandra Snan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Patrick Storz, Martin Sucha, Sushant A.A., ~suv, Pat Suwalski, Adib Taraben, Parcly Taxel, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Alex Valavanis, Joakim Verona, Lucas Vieites, Daniel Wagenaar, Liam P. White, Sebastian Wüst, Michael Wybrow, Gellule Xg, Daniel Yacob, Masatake Yamato, David Yip, Wen-Wei Kao

UPPHOVSRÄTT OCH LICENS
Copyright (C) 1999-2023 av upphovspersonerna.

Inkscape är fri programvara; du kan vidaredistribuera den och/eller modifiera den enligt villkoren i GPL version 2 eller senare.